
QGIS Application - Bug report #5791

Adding column to shape file is very slow

2012-06-12 04:24 PM - Pieter Roggemans

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15283

Description

Adding a column takes more than a minute

Scenario:

1) Open attribute table

2) Add column (in my case a double(8,5))

Environment:

- QGIS version 1.8 or 1.7.4

- Windows 7 64 bit

Test file:

https://docs.google.com/open?id=0B-lmgiUm-f0HRWpadzZpNlk4cmM

History

#1 - 2012-06-13 05:38 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Priority changed from Normal to High

- Category set to Vectors

confirmed here on Ubuntu. It seems that after adding the column it slowly reload all the features (slower than when opening the attribute table in first

place).

#2 - 2012-12-30 09:51 AM - Giovanni Manghi

- Priority changed from High to Normal

#3 - 2014-06-23 10:06 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

works fine on master.
